> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# v1 Charts Search

> Search user's chart based on given JWT token and chart name.



## OpenAPI

````yaml post /v1/charts/search
openapi: 3.0.0
info:
  contact:
    name: Slack Channel
    url: https://globalwebindex.slack.com/archives/CQV0R87DG
  description: platform-charts public API for Platform2.0
  license:
    name: GWI Platform 2.0 Community
    url: https://github.com/orgs/GlobalWebIndex/teams/engineering-platform-2-0
  title: platform-charts-api
  version: 0.0.1
servers:
  - url: http://api.globalwebindex.com
  - url: https://api.globalwebindex.com
security: []
paths:
  /v1/charts/search:
    post:
      tags:
        - Charts
      summary: v1 Charts Search
      description: Search user's chart based on given JWT token and chart name.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/charts.SearchChartRequest'
        description: SearchChartRequest
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/charts.ChartMinimal'
                type: array
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '401':
          description: Invalid token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '403':
          description: Invalid permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '404':
          description: Chart not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    charts.SearchChartRequest:
      properties:
        results_limit:
          type: integer
        search_term:
          type: string
      type: object
    charts.ChartMinimal:
      properties:
        created_at:
          type: integer
        dataset_codes:
          items:
            type: string
          type: array
        dataset_names:
          items:
            type: string
          type: array
        folder_id:
          type: string
        id:
          type: string
        is_owner:
          type: boolean
        is_public:
          type: boolean
        is_shared:
          type: boolean
        name:
          type: string
        owner_email:
          type: string
        owner_id:
          type: integer
        shared_at:
          type: integer
        shared_type:
          type: string
        updated_at:
          type: integer
      type: object
    common.ErrorResponse:
      properties:
        code:
          type: integer
        message:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: JWT token for authentication
      in: header
      name: Authorization
      type: apiKey

````